Name:		perl-TeX-Encode
Version:	1.3
Release:	2%{?dist}
Summary:	Encoding to LaTeX escapes
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/TeX-Encode/
Source0:	http://search.cpan.org/CPAN/authors/id/T/TI/TIMBRODY/TeX-Encode-%{version}.tar.gz
Group:		Development/Libraries
BuildArch:	noarch
BuildRequires:	coreutils, findutils, make, perl
BuildRequires:	perl(Carp), perl(Encode), perl(strict), perl(vars)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Pod::LaTeX) >= 0.56
BuildRequires:	perl(HTML::Parser) >= 3.35
BuildRequires:	perl(Test::More) >= 0.1
BuildRequires:	perl(Test::Pod) >= 1.00
BuildRequires:	perl(Test::Pod::Coverage)
BuildRequires:	perl(Encode::Encoding) >= 0.1
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module provides encoding to LaTeX escapes from utf8 using mapping tables
in Pod::LaTeX and HTML::Entities. This covers only a subset of the Unicode 
character table (undefined warnings will occur for non-mapped chars).

Mileage will vary when decoding (converting LaTeX to utf8), as LaTeX is in
essence a programming language, and this module does not implement LaTeX.

%prep
%setup -q -n TeX-Encode-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
chmod -R u+w %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/TeX/
%{_mandir}/man3/*.3pm*

%changelog
* Tue Sep 15 2015 Tom Callaway <spot@fedoraproject.org> - 1.3-2
- minor specfile cleanups

* Mon Sep 14 2015 Tom Callaway <spot@fedoraproject.org> - 1.3-1
- initial package
